Subject: Re: bug#47408: Etags support for Mercury [v0.5]

From: Francesco Potortì <[email-masked]>
Date: Tue, 08 Jun 2021 12:53:23 +0200

Eli Zaretskii:
>>>> I see that there's no Mercury support for ctags (the 'ctags' output of
>>>> the test suite remained without change) -- is that intentional?

Fabrice Nicol:
>> ctags only differs from etags by the fact that its output is 
>> Vim-compatible. But it so happens that Mercury has superior in-built 
>> support for Vim tagging (the core team use Vim). So ctags would not 
>> actually be used by users with Vim-compatibility requirements, they 
>> would just use Mercury tagging on Vim.

Eli Zaretski:
> What do we lose if we make Mercury support active in ctags mode?  Do
> we even need to add any code for that?

I just looked at the code.  Unless I am grossly mistaken, nothing is
needed to get ctags output.  You just call the program as ctags and
that's it.  So there is no reason to prevent ctags help from mentioning
Mercurial.